# cython: language_level=3

from libc.stdint cimport uint16_t, uint32_t

cdef extern from "<arpa/inet.h>":
	struct sockaddr:
		pass
	struct in_addr:
		uint32_t s_addr
	struct sockaddr_in:
		int sin_family
		uint16_t sin_port
		in_addr  sin_addr

cdef class UDPLink:
	cdef readonly object sock
	cdef int sock_fd
	cdef sockaddr_in remote_addr

	cdef _send(self, object data)  # bytes|bytearray|str
	cdef bytearray recv(self, Py_ssize_t bufsize)


cdef _raise_oserr()
